Get user details
GET/partner/user/:user_code
Retrieves detailed information for a specific user by user code.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200User details retrieved successfully
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": {
"user_code": "DEMO-USR-001",
"user_name": "gildong",
"user_email": "user@example.com",
"user_type": "AM",
"user_stats": "R",
"user_country": "Korea Republic of",
"register_ip": "203.0.113.50",
"partner_idx": "DEMO-PTR-00001",
"mail_use": "Y",
"register_date": "2026-03-07 04:54:59",
"modify_date": "2026-03-07 04:54:59",
"lang": "en",
"accept_policy_status": "Y",
"consent_penta_status": "Y",
"consent_partner_status": "Y",
"tfa_basic_method": "email",
"tfa_status": "N",
"tfa_code": "1527e5wqrwewe89jijsadas",
"tfa_code_last_issued_date": "2026-01-23 06:12:26",
"tfa_otp_status": "N",
"otp_path": "otpauth://totp/Example:user@example.com?secret=XXXXX&issuer=Example",
"otp_secret_key": "NJUXS33VNZTXOZLXXXXXXXXXXX",
"otp_issue_date": "2026-01-23 12:59:59",
"email_reception_status": "Y",
"is_security_notification": "Y",
"is_access_control": "Y",
"allow_ip": "203.0.113.20",
"timezone": "UTC",
"parent_user_code": "DEMO-USR-002",
"favorites_user_domain_idx": [
"1",
"2"
],
"view_mode": "list",
"company": "company name",
"department": "dev",
"security_notification_visible": "Y",
"user_role_type": "master",
"emergency_nofitication_email": "test1@example.com, test2@example.com"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | object |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |